libzypp 17.37.10

ztui::table::Column Struct Reference

Table column style setter. More...

`#include <zypp-tui/Table.h>`

## Public Member Functions
| Column (std::string header_r, CStyle style_r=CStyle::Default)

## Public Attributes
std::string | _header
CStyle | _style

## Detailed Description

Table column style setter.

See also
  CStyle colum styles.
  th << table::Column( N_("Name"), CStyle::SortCi );
  ztui::table::CStyle::SortCi
  @ SortCi
  String values to be sorted case insensitive.
  Definition Table.h:161
  ztui::table::Column
  Table column style setter.
  Definition Table.h:494
  N_
  #define N_(MSG)
  Definition Gettext.h:36

Definition at line 493 of file Table.h.

## Constructor & Destructor Documentation

## ◆ Column()

ztui::table::Column::Column | ( | std::string | header_r,
|  | CStyle | style_r = CStyle::Default )
| inline

Definition at line 495 of file Table.h.

## Member Data Documentation

## ◆ _header

std::string ztui::table::Column::_header

Definition at line 499 of file Table.h.

## ◆ _style

CStyle ztui::table::Column::_style

Definition at line 500 of file Table.h.

The documentation for this struct was generated from the following file:

- zypp-tui/Table.h